petsc-3.7.7 2017-09-25
Report Typos and Errors

# KSPQCGSetTrustRegionRadius

Sets the radius of the trust region.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  KSPQCGSetTrustRegionRadius(KSP ksp,PetscReal delta)

Logically Collective on KSP

### Input Parameters

| ksp | - the iterative context
| delta | - the trust region radius (Infinity is the default)

### Options Database Key

-ksp_qcg_trustregionradius <delta> -

### Keywords

KSP, QCG, set, trust region radius

Level:advanced
Location:src/ksp/ksp/impls/qcg/qcg.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages